#include <bits/stdc++.h>

using namespace std;

string trim(const string& s) {
    std::regex trimRegex("^\\s+|\\s+$");
    return std::regex_replace(s, trimRegex, "");
}

string readString(ifstream& f) {
    string s;
    if (!(f >> s)) {
        s = "";
    }
    return trim(s);
}

void assertOK(bool value) {
    if (!value) {
        cerr << "Wrong answer";
        cout << 0.0 << endl;
        exit(0);
    }
}

void assertNumber(string s) {
    assertOK(s[0] == '+' || s[0] == '-' || isdigit(s[0]));
    for (int i = 1; i < s.size(); i++) assertOK(isdigit(s[i]));
    if (!isdigit(s[0])) s.erase(0);
    assertOK(s.size() != 0);
    assertOK(s.size() == 1 || s[0] != '0');
}

__int128 toInt128(string s) {
    assertOK(s.size() <= 37);
    assertNumber(s);
    __int128 n = 0;
    if (s[0] == '-') {
        n = -1;
        s.erase(0, 1);
    }
    if (s[0] == '+') s.erase(0, 1);
    for (char c: s) {
        n = 10*n+c-'0';
    }
    return n;
}

long long divs(__int128 n) {
    long long ans = 1;
    for (int i = 2; i <= 10000; i++) {
        long long current = 1;
        while (n%i == 0) {
            current++;
            n/=i;
        }
        ans*=current;
    }
    return ans;
}

int main (int argc, char** argv) {
    if (argc < 4) return 0;
    ifstream inS(argv[1]), solS(argv[2]), contS(argv[3]);
    // input; correct output; contestant's output

    __int128 x = toInt128(readString(inS));
    __int128 y = toInt128(readString(inS));
    __int128 correct = toInt128(readString(solS));
    __int128 contestant = toInt128(readString(contS));

    __int128 one = 1;
    assertOK(1 <= x && x < y && y < (one<<120));
    assertOK(2*x <= y);
    assertOK(x <= contestant && contestant <= y);

    long long divsCorrect = divs(correct);
    long long divsContestant = divs(contestant);

    if (divsCorrect == divsContestant) {
        cerr << "Correct answer";
        cout << 1.0 << endl;
    } else {
        assertOK(false);
    }

    return 0;
}
