#include <bits/stdc++.h>
using namespace std;

string readLine() {
    string s;
    assert(getline(cin, s));
    return s;
}

void assertEOF() {
    string s;
    assert(!getline(cin, s));
}

void assertNumber(string s) {
    for (int i = 0; i < s.size(); i++) assert(isdigit(s[i]));
    assert(s.size() != 0);
    assert(s.size() == 1 || s[0] != '0');
}

vector<string> readTokens(char delim) {
    string s = readLine();
    if (s.empty()) return {};

    vector<string> tokens(1);
    for (char c: s) {
        if (c == delim) tokens.push_back("");
        else tokens.back().push_back(c);
    }
    return tokens;
}

vector<string> stringTokens(char delim) {
    vector<string> a = readTokens(delim);
    vector<string> b;
    for (string& s: a) {
        b.push_back(s);
    }
    return b;
}

__int128 toInt128(string s) {
    assertNumber(s);
    assert(s.size() <= 37);

    __int128 ans = 0;
    for (char c: s) ans = 10*ans+c-'0';
    return ans;
}

int main() {
    vector<string> line = stringTokens(' ');
    assertEOF();
    assert(line.size() == 2);

    __int128 x = toInt128(line[0]);
    __int128 y = toInt128(line[1]);

    assert(1 <= x && x < y);
    assert(2*x <= y);
    __int128 one = 1;

    if (y <= (one << 10)) cout << "1";
    if (y <= (one << 20)) cout << "2";
    if (y <= (one << 30)) cout << "3";
    if (y <= (one << 40)) cout << "4";
    if (y <= (one << 60)) cout << "5";
    if (y <= (one << 80)) cout << "6";
    if (y <= (one << 120)) cout << "7";

    return 0;
}
